<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ningdatech.pmapi.staging.mapper.ProjectStagingMapper">

    <update id="addRetryTimes" >
        update nd_project_staging
        set retry_times = #{retryTimes},
            next_time = #{nextRetryTime},
            dead = #{dead}
        where id = #{id} and retry_times = #{retryTimes} - 1
    </update>
</mapper>
